# Generated by Django 4.1.1 on 2023-06-23 18:58

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0014_repair_dovis'),
    ]

    operations = [
        migrations.CreateModel(
            name='Mail',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('subject', models.CharField(max_length=1024)),
                ('content', models.TextField(max_length=2048)),
                ('sended_from', models.EmailField(max_length=254)),
                ('receivers', models.ManyToManyField(related_name='mail_to', to=settings.AUTH_USER_MODEL)),
                ('sender', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='mail_sender', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
